Package weka.core

# Class Option

java.lang.Object
weka.core.Option

All Implemented Interfaces:
  `RevisionHandler`

public class Option extends Object implements RevisionHandler
Class to store information about an option.

Typical usage:

`Option myOption = new Option("Uses extended mode.", "E", 0, "-E"));`

Version:
  $Revision: 1.7 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`Option(String description, String name, int numArguments, String synopsis)`
Creates new option with the given parameters.

## Method Summary

Modifier and Type
Method
Description
`String`
`description()`
Returns the option's description.
`String`
`getRevision()`
Returns the revision string.
`String`
`name()`
Returns the option's name.
`int`
`numArguments()`
Returns the option's number of arguments.
`String`
`synopsis()`
Returns the option's synopsis.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Option

public Option(String description, String name, int numArguments, String synopsis)
Creates new option with the given parameters.

Parameters:
  `description` - the option's description
  `name` - the option's name
  `numArguments` - the number of arguments

## Method Details

### description

public String description()
Returns the option's description.

Returns:
  the option's description

### name

public String name()
Returns the option's name.

Returns:
  the option's name

### numArguments

public int numArguments()
Returns the option's number of arguments.

Returns:
  the option's number of arguments

### synopsis

public String synopsis()
Returns the option's synopsis.

Returns:
  the option's synopsis

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Returns:
  the revision